Name:		yadp
Version:	bdb0e73
Release:	%mkrel 1
License:	GPL 3
Packager:       Agent Smith (ruidobranco@yahoo.com.br)
Group:		Emulators
URL:		https://github.com/Nhoya/YADP
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.png
Summary:	 Yet Another xDelta Patcher
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	gawk
Requires:	yad
Requires:	xdelta3
Obsoletes:	%name < %version
AutoReqProv:    no

%description

YADP is the first front end for xDelta3 running on Linux.

Note: The resulting file will always have an .iso file sufix, must be renamed to the proper file sufix (.gen, .bin, .gba, etc...) 


%prep


%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}

install -d %{buildroot}%{_bindir}/

cp $RPM_BUILD_DIR/%{name}-%{version}/YADP %{buildroot}%{_bindir}/

chmod a+x %{buildroot}%{_bindir}/YADP

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=YADP
Icon=%{name}.png
Type=Application
Terminal=false
Name=YADP
GenericName=
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(0755,root,root,0755)
%doc LICENSE index-1.html README.md
%_bindir/YADP
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Mon Nov 11 2019  Agent Smith <ruidobranco@yahoo.com.br> bdb0e73-1pclos2019
- Created the package yadp-bdb0e73-1pclos2019.noarch.rpm, with latest source.

